Update one sales credit
/fscmRestApi/resources/11.13.18.05/salesOrdersForOrderHub/{OrderKey}/child/salesCredits/{SalesCreditId}
Request
-
OrderKey(required): string
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
SalesCreditId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
- application/json
object-
Percent: number
Value that specifies the sales credit percent for the salesperson.
-
SalesCreditType: string
Maximum Length:
255Name of the sales credit type. -
SalesCreditTypeId: integer
(int64)
Value that identifies the sales credit type.
-
Salesperson: string
Maximum Length:
255Name of person who sold the item. -
SalespersonId: integer
(int64)
Value that identifies the person who sold the item.
-
SourceTransactionSalesCreditIdentifier: string
Maximum Length:
50Value that uniquely identifies the sales credit. The source application assigns this value.
Response
- application/json
Default Response
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
object-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Percent: number
Value that specifies the sales credit percent for the salesperson.
-
SalesCreditId: integer
(int64)
Read Only:
trueValue that uniquely identifies the sales credit. -
SalesCreditType: string
Maximum Length:
255Name of the sales credit type. -
SalesCreditTypeId: integer
(int64)
Value that identifies the sales credit type.
-
Salesperson: string
Maximum Length:
255Name of person who sold the item. -
SalespersonId: integer
(int64)
Value that identifies the person who sold the item.
-
SourceTransactionSalesCreditIdentifier: string
Maximum Length:
50Value that uniquely identifies the sales credit. The source application assigns this value.
arrayLinksobject-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to update one sales credit.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/OrderKey/child/salesCredits/SalesCreditId"
For example, use the following command:
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_sample_HdrSC_01/child/salesCredits/300100185390588"
Example Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
You can achieve the same result with Create sales orders using the upsert-mode header parameter. Refer to the examples in the Create sales orders section to see how to update child resource in the existing order.
{
"Percent" : 75
}
Example Response Body
The following example includes the contents of the response body in JSON format:
{
}